> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List model revisions

> Lists the immutable file revisions available for a custom model, newest first.



## OpenAPI

````yaml GET /projects/{projectId}/models/{id}/revisions
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/models/{id}/revisions:
    get:
      tags:
        - VolumeService
      summary: List model revisions
      description: >-
        Lists the immutable file revisions available for a custom model, newest
        first.
      operationId: VolumeService_ListModelRevisions
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: id
          in: path
          required: true
          schema:
            description: Model identifier.
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.ListRevisionsResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.ListRevisionsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DE.ListRevisionsResponseRevision'
          description: Immutable revisions available for the model.
        next_cursor:
          type: string
          description: Cursor for the next page. Null if there are no more results.
        object:
          const: list
          description: Object type. Always `list`.
      description: Immutable model revisions and pagination metadata.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    DE.ListRevisionsResponseRevision:
      type: object
      required:
        - revisionId
        - createdAt
      properties:
        revisionId:
          type: string
          description: Revision identifier.
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the revision was created.
        validationStatus:
          enum:
            - REVISION_VALIDATION_STATUS_PENDING
            - REVISION_VALIDATION_STATUS_SUCCESS
            - REVISION_VALIDATION_STATUS_FAILED
            - REVISION_VALIDATION_STATUS_ERROR
          type: string
          description: Current validation status for the revision.
        lastValidatedAt:
          type: string
          format: date-time
          description: Timestamp when validation most recently ran for the revision.
        validationErrors:
          type: array
          items:
            $ref: '#/components/schemas/DE.RevisionValidationError'
          description: Validation errors reported for the revision.
      description: Revision metadata for a volume object.
    DE.RevisionValidationError:
      type: object
      properties:
        rule:
          type: string
          description: Validation rule that produced the error.
        severity:
          type: string
          description: Severity level reported by the validation rule.
        message:
          type: string
          description: Human-readable validation error message.
      description: One validation error reported for a model revision.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````